View a markdown version of this page

SubmitRegistryRecordForApproval - AgentRegistry Control Plane API Reference

SubmitRegistryRecordForApproval

Submits a DRAFT registry record for approval, moving it into the registry's approval workflow. Depending on the registry's approval configuration, the record is either auto-approved or set to PENDING_APPROVAL for a curator to approve or reject.

Request Syntax

POST /registries/registryId/records/recordId/submit-for-approval HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

recordId

The identifier of the registry record to submit for approval (ARN or ID)

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: (arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16}/record/)?[a-zA-Z0-9]{12}

Required: Yes

registryId

The identifier of the registry containing the record (ARN or ID)

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: (arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/)?[a-zA-Z0-9]{12,16}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 202 Content-type: application/json { "recordArn": "string", "recordId": "string", "registryArn": "string", "status": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

recordArn

The ARN of the registry record

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16}/record/[a-zA-Z0-9]{12}

recordId

The ID of the registry record

Type: String

Length Constraints: Fixed length of 12.

Pattern: [a-zA-Z0-9]{12}

registryArn

The ARN of the registry

Type: String

Length Constraints: Minimum length of 46. Maximum length of 2048.

Pattern: arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16}

status

The resulting status of the registry record

Type: String

Valid Values: DRAFT | PENDING_APPROVAL | APPROVED | REJECTED | DEPRECATED | CREATING | UPDATING | CREATE_FAILED | UPDATE_FAILED

updatedAt

The timestamp when the record was last updated

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The caller is not authorized to perform the requested action.

HTTP Status Code: 403

ConflictException

The request conflicts with the current state of the resource.

HTTP Status Code: 409

InternalServerException

The request failed due to an unexpected internal error; the caller may retry.

HTTP Status Code: 500

ResourceNotFoundException

The requested resource was not found.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling; the caller may retry after a delay.

HTTP Status Code: 429

ValidationException

The request failed validation of one or more input fields.

fieldList

The list of input fields that failed validation.

reason

The reason the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: